"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getDevOpsCodeCheck = exports.setDevOpsCodeCheck = exports.devopsCode = void 0;
const perLibrary_1 = __importDefault(require("@thatdevops/core/utils/perLibrary"));
const path_1 = __importDefault(require("path"));
function devopsCode() {
    return __awaiter(this, void 0, void 0, function* () {
        return [
            {
                label: 'Code',
                children: [
                    (0, perLibrary_1.default)('TSC', path_1.default.join(__dirname, 'src/tscCode'), true),
                    (0, perLibrary_1.default)('Lint', path_1.default.join(__dirname, 'src/lintCode')),
                    (0, perLibrary_1.default)('Test', path_1.default.join(__dirname, 'src/testCode')),
                    {
                        label: 'I18n',
                        script: path_1.default.join(__dirname, 'src/makeI18n'),
                    },
                ],
            },
        ];
    });
}
exports.devopsCode = devopsCode;
exports.default = devopsCode;
const cache = { value: undefined };
function setDevOpsCodeCheck(cfg) {
    process.env.DEVOPS_CONFIG_CODECHECK = JSON.stringify(cfg);
}
exports.setDevOpsCodeCheck = setDevOpsCodeCheck;
function getDevOpsCodeCheck() {
    if (!cache.value) {
        cache.value = JSON.parse(process.env.DEVOPS_CONFIG_CODECHECK);
    }
    return cache.value;
}
exports.getDevOpsCodeCheck = getDevOpsCodeCheck;
//# sourceMappingURL=devopsCode.js.map